比较来自世界各地的卖家的域名和 IT 服务价格

它是安全的补丁 Galera 没有更新 MariaDB?

我用 MariaDB Galera Cluster 只有一段时间,只有今天我意识到,尽管存在相同的版本 MariaDB 在所有节点上,所有版本的插件 Galera 不同的。

这似乎这就是我得到的原因
https://dba.stackexchange.com/ ... 71-pr
在州翻译期间。

只有修补程序的版本是不同的。 (在速度范围内 25.3.20 到 25.3.25). 跑步时更加混乱

show global variables like 'wsrep_patch_version';

我得到了 "wsrep_25.4" 在所有节点上。

我什么都不理解,但似乎 Galera 设置为依赖
https://mariadb.com/kb/en/libr ... h-yum
, 它也没有更新
https://mariadb.com/kb/en/libr ... ster/
. 至少,不是我所做的次要版本的更新。

现在我需要独立更新包的情况 Galera, 要解决这些错误,但我不寻求执行顺序更新 MariaDB 在忙碌的时间。

因此,问题出现:更新到最新版本的包装是安全的 Galera 独立而不更新最多 MariaDB? 换句话说,无论是兼容的 Galera 25.3.27 从 MariaDB 10.2.22? 这可能会解决我的协议错误?
已邀请:

喜特乐

赞同来自:

更新包后 "galera" 直到最新版本 (但是离开 MariaDB 版本 10.2.22) 一切都很好。 SST 没有错误完成。

要回复问题请先登录注册